<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recuadro de Factura con Bootstrap</title>
    <!-- Incluye los estilos de Bootstrap (puedes enlazarlo a través de un CDN o descargarlo localmente) -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <!-- Productos -->
    <div class="container mt-5">
        <div class="row" id="productos-container">
        </div>
    </div>
    <!-- Factura -->
    <div class="container mt-5">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4>Factura</h4>
                    </div>
                    <div class="card-body">
                        <form id="payment-form" class="mb-4">
                            <div class="form-group">
                                <label for="nombre">Nombre:</label>
                                <input type="text" class="form-control" id="nombre" name="nombre">
                            </div>
                            <div class="form-group">
                                <label for="ci">CI:</label>
                                <input type="text" class="form-control" id="ci" name="CI">
                            </div>
                            <div class="form-group">
                                <label for="dineroRecibido">Dinero Recibido:</label>
                                <input type="text" class="form-control" id="dineroRecibido" name="DineroRecibido">
                            </div>
                            <div class="form-group">
                                <label for="cambio">Cambio:</label>
                                <input type="text" class="form-control" id="cambio" name="Cambio">
                            </div>
                            <div class="form-group">
                                <label for="total">Total:</label>
                                <input type="text" class="form-control" id="total" name="Total">
                            </div>
                            <button type="submit" class="btn btn-primary">Procesar Pago</button>
                        </form>
                        
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Producto</th>
                                    <th>Cantidad</th>
                                    <th>Precio Unitario</th>
                                    <th>Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                <!-- Aquí van los detalles de los productos -->
                            </tbody>
                            <tfoot>
                                <tr>
                                    <td colspan="3" class="text-right">Total</td>
                                    <td id="total">$ 0.00</td>
                                </tr>
                                <tr>
                                    <td colspan="3" class="text-right">Recibido:</td>
                                    <td id="recibido">$ 0.00</td>
                                </tr>
                                <tr>
                                    <td colspan="3" class="text-right">Cambio:</td>
                                    <td id="cambio">$ 0.00</td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-3 mb-5">
            <div class="col-12">
              
            </div>
        </div>
    </div>
    
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <!-- Incluye los scripts de Bootstrap (puedes enlazarlo a través de un CDN o descargarlo localmente) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


    <script type="module" src="./js/loadProducts.js"></script>
    <script type="module" src="./js/venta.js"></script>

</body>
</html>
